Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.dataformat.info
Class BlastPairwiseInfo

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.data.datatype.Sequence
                      jprotein.data.dataformat.info.BlastSequenceInfo
                          jprotein.data.dataformat.info.BlastPairwiseInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class BlastPairwiseInfo

extends BlastSequenceInfo

See Also:
  Serialized Form

Constructor Summary
`BlastPairwiseInfo()`

Method Summary
`Sequence` | `getRefSequence()`
`void` | `setRefSequence(Sequence ref)`

Methods inherited from class jprotein.data.dataformat.info.BlastSequenceInfo
`allPreliminaryChecked, expectChecked, getEndOverlap, getEValue, getIdentity, getOverlapLength, getStartOverlap, identityChecked, overlaps, overlapStartChecked, setEndOverlap, setEValue, setIdentity, setOverlapLength, setStartOverlap`

Methods inherited from class jprotein.data.datatype.Sequence
`equals, getNonGappedPosition, getNonGappedSequenceLength, getResidue, getSequence, getSequenceLength, getSequenceName, isIdentical, setSequence, setSequenceName, toFasta, toString`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### BlastPairwiseInfo

    public BlastPairwiseInfo()

Method Detail

### getRefSequence

    public Sequence getRefSequence()

### setRefSequence

    public void setRefSequence(Sequence ref)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD